// WBLibCheckerDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "Nkwb_Interface.h"


// CWBLibCheckerDlg dialog
class CWBLibCheckerDlg : public CDialog
{
// Construction
public:
	CWBLibCheckerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_WBLIBCHECKER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	double m_dbRGain;
	double m_dbBGain;
	double m_dbGrGain;
	double m_dbGbGain;
	CEdit m_clFileNameEdit;
	afx_msg void OnBnClickedOpenButton();
};
